<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#projectTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,   
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 10,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/managementcenter/activiti/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该表单记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/sg/managementcenter/project/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#projectTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})
                   	   
                   	});
                      
                   } 
               },
              
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
                       field: 'projectNumber',
                       title: '工程定义号',
                       width:120
                   }
                   ,{
                       field: 'projectId',
                       title: '项目定义号',
                       width:110
                   }
                   ,{
                       field: 'disclose.requireName',
                       title: '需求项目名称',
                       width:110
                   }
                   ,{
                       field: 'disclose.channel',
                       title: '施工通道',
                       width:110
                   }
                   ,{
                       field: 'disclose.capacity',
                       title: '设备基础是否可以扩容',
                       width:110
                   }
                   ,{
                       field: 'disclose.sceneSize',
                       title: '现场设备尺寸',
                       width:110
                   }
                   ,{
                       field: 'disclose.capacitySize',
                       title: '最多可扩容尺寸',
                       width:110
                   }
                   ,{
                       field: 'disclose.hiddenDanger',
                       title: '方案安全隐患',
                       width:110
                   }
                   ,{
                       field: 'disclose.influenceConstruction',
                       title: '是否存在低压或通信线等影响施工',
                       width:110
                   }
                   ,{
                       field: 'disclose.projectRepetition',
                       title: '立项重复',
                       width:110
                   }
                   ,{
                       field: 'disclose.implemented',
                       title: '是否已实施',
                       width:110
                   }
                   ,{
                       field: 'disclose.transformer',
                       title: '变压器无负荷',
                       width:110
                   }
                   ,{
                       field: 'disclose.explanationOfNecessity',
                       title: '必要性问题说明',
                       width:110
                   }
                   ,{
                       field: 'disclose.lineName',
                       title: '线路名称一致性',
                       width:110
                   }
                   ,{
                       field: 'disclose.quantities',
                       title: '工程量是否一致',
                       width:110
                   }
                   ,{
                       field: 'disclose.rodNumber',
                       title: '设备、开关、杆号一致性',
                       width:110
                   }
                   ,{
                       field: 'disclose.inconsistentDescription',
                       title: '图纸现场不一致说明',
                       width:110
                   }
                   ,{
                       field: 'disclose.administrationType',
                       title: '政处类型',
                       width:110
                   }
                   ,{
                       field: 'disclose.precondition',
                       title: '前置条件',
                       width:110
                   }
                   ,{
                       field: 'disclose.policyHandlingInstructions',
                       title: '政策处理说明',
                       width:110
                   }
                   ,{
                       field: 'disclose.placementMode',
                       title: 'DTU安放方式核查',
                       width:110
                   }
                   ,{
                       field: 'disclose.productionDate',
                       title: '核查环网柜生产日期',
                       width:110
                   }
                   ,{
                       field: 'disclose.IntegrateModule',
                       title: '二次是否是集成模块',
                       width:110
                   }
                   ,{
                       field: 'disclose.needReplace',
                       title: 'PT是否需要更换',
                       width:110
                   }
                   ,{
                       field: 'disclose.overallTransformation',
                       title: '设备是否有整体改造的必要',
                       width:110
                   }
                   ,{
                       field: 'disclose.otherProblem',
                       title: '其它问题描述',
                       width:110
                   }
                   ,{
                       field: 'disclose.implementedContent',
                       title: '已实施内容描述',
                       width:110
                   }
		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#projectTable').bootstrapTable("toggleView");
		}
	  
	  $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#projectTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['确定', '关闭'],
			    	btn1: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
						});//调用保存事件
						return false;
				  	},

				  btn2: function(index){
					//  jp.close(index);
	    	       }
			}); 
		});
    $("#btnImportPicking").click(function(){
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入领料单",
            content: "${ctx}/tag/importExcel" ,
            btn: ['确定', '关闭'],
            btn1: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/importPicking', function (data) {
                    if(data.success){
                        jp.success(data.msg);
                        refresh();
                    }else{
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function(index){
                //  jp.close(index);
            }
        });
    });
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/sg/managementcenter/project/export');
	  });
    // $("#export1").click(function(){//导出Excel文件
    //     jp.downloadFile('${ctx}/sg/managementcenter/project/export1');
    // });

		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#projectTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#projectTable').bootstrapTable('refresh');
		});
		
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该项目管理表单记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/sg/managementcenter/project/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#projectTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }

    //刷新列表
  function refresh(){
  	$('#projectTable').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增项目管理表单', "${ctx}/sg/managementcenter/project/form",'800px', '500px');
  }


  
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
  }
  
 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
 }



</script>